Subject: bug#61645: closed (Re: bug#61645: [PATCH mumi 0/1] Add CLI client to search for issues)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 30 Mar 2023 21:59:02 +0000

Your bug report

#61645: [PATCH mumi 0/1] Add CLI client to search for issues

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
61645: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=61645
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#61645: [PATCH mumi 0/1] Add CLI client to search for issues
From: Ricardo Wurmus <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: Arun Isaac <[email-masked]>, [email-masked]
Date: Thu, 30 Mar 2023 23:57:50 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Ricardo Wurmus <[email-masked]> writes:

> I have applied the patches locally, but ever since I moved
> git.elephly.net to gitile on the rockpro64 I haven’t been able to push
> to my repos.  I hadn’t been able to make any time to diagnose this
> problem as yet.  (Probably related to nginx rewrite rules.)

Fixed and pushed.

-- 
Ricardo

Subject: [PATCH mumi 0/1] Add CLI client to search for issues
From: Arun Isaac <[email-masked]>
To: [email-masked]
Cc: Ricardo Wurmus <[email-masked]>, Arun Isaac <[email-masked]>
Date: Mon, 20 Feb 2023 01:38:21 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Ricardo,

This patch adds a mumi CLI client that lets one search for issues from
the command line by calling mumi's GraphQL API. This patch requires a
.mumi/config file in the guix repo with the following contents.

--8<---------------cut here---------------start------------->8---
((debbugs-host . "debbugs.gnu.org")
 (patch-email-address . "[email-masked]")
 (mumi-host . "issues.guix.gnu.org"))
--8<---------------cut here---------------end--------------->8---

After adding .mumi/config, you can run search queries like

$ /path/to/mumi/pre-inst-env mumi search zig is:open

This is only the beginning. I have WIP patches that will add a "mumi
send-email" subcommand that will finally free us from our debbugs
dance when sending multiple patches. I will send them separately once
I have tested it more.

Regards,
Arun

Arun Isaac (1):
  client: Add CLI client to search for issues.

 Makefile.am     |   1 +
 mumi/client.scm | 108 ++++++++++++++++++++++++++++++++++++++++++++++++
 scripts/mumi.in |   8 +++-
 3 files changed, 116 insertions(+), 1 deletion(-)
 create mode 100644 mumi/client.scm

-- 
2.38.1